hmmconvert(1)

NAME
hmmconvert - convert profile file to various formats

SYNOPSIS
hmmconvert [options] hmmfile

DESCRIPTION

The hmmconvert utility converts an input profile file to different HMMER formats.

By default, the input profile can be in any HMMER format, including old/obsolete formats from HMMER2, ASCII or binary; the output profile is a current HMMER3 ASCII format.

hmmfile may be '-' (dash), which means reading this input from stdin rather than a file.

OPTIONS

-h  Help; print a brief reminder of command line usage and all available options.

-a  Output profiles in ASCII text format. This is the default.

-b  Output profiles in binary format.

-2  Output in legacy HMMER2 ASCII text format, in ls (glocal) mode. This allows HMMER3 models to be converted back to a close approximation of HMMER2, for comparative studies.

--outfmt <s>
    Output in a HMMER3 ASCII text format other then the most current one. Valid choices for <s> are 3/a through 3/f. The current format is 3/f, and this is the default. The format 3/b was used in the official HMMER3 release, and the others were used in the various testing versions.

SEE ALSO
See hmmer(1) for a master man page with a list of all the individual man pages for programs in the HMMER package.

For complete documentation, see the user guide that came with your HMMER distribution (Userguide.pdf); or see the HMMER web page (http://hmmer.org/).

COPYRIGHT
Copyright (C) 2019 Howard Hughes Medical Institute.
Freely distributed under the BSD open source license.
For additional information on copyright and licensing, see the file called COPYRIGHT in your HMMER source distribution, or see the HMMER web page (http://hmmer.org/).

AUTHOR
http://eddylab.org
"